{"id":26458,"date":"2021-01-15T06:56:05","date_gmt":"2021-01-15T06:56:05","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-0\/?p=26458"},"modified":"2021-03-25T18:04:06","modified_gmt":"2021-03-25T18:04:06","slug":"channel-enablement-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-0\/docs\/bots\/channel-enablement\/channel-enablement-api\/","title":{"rendered":"Channel Enablement API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>Used to initiate enable a channel for a bot.<\/p>\n<p class=\"note\">\nTo use this API, app needs the Admin API Scope of <em>Channel Management<\/em> under <em>ChannelManagement<\/em>.<\/p>\n<p><strong>POST<\/strong> <code>https:\/\/{{host}}\/api\/public\/bot\/channels<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Required\/<br \/>\nOptional<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>host<\/td>\n<td>Required<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Required\/<br \/>\nOptional<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>BotId<\/td>\n<td>Required<\/td>\n<td>Bot ID &#8211; You can access it from the General Settings page of the bot.<\/td>\n<\/tr>\n<tr>\n<td>AppName<\/td>\n<td>Required<\/td>\n<td>The app associated with this Bot, you can obtain it from the Manage Apps page of the bott<\/td>\n<\/tr>\n<tr>\n<td>ClientId<\/td>\n<td>Required<\/td>\n<td>The client id for the app associated with this Bot, you can obtain it from the Manage Apps page of the bott<\/td>\n<\/tr>\n<tr>\n<td>type<\/td>\n<td>Required<\/td>\n<td>\n<p>Channel that you want to enable for this Bot. Following are the channel type details:<\/p>\n<ul>\n<li>slack &#8211; for Slack<\/li>\n<li>webhook &#8211; for WebHook<\/li>\n<li>msteams &#8211; for MS Teams<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_content_type\">Response content type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl --location --request POST 'https:\/\/{{host}}\/api\/public\/channels' \\\r\n--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n--header 'Content-Type: application\/json' \\\r\n--data-raw '{\r\n    \"botId\":\"{{bot Id}}\",\r\n    \"channelDetails\":{\r\n        \t\"app\": {\r\n          \t\"appName\": \"App Name\",\r\n          \t\"clientId\": \"cs-fxxxfxd-bxee-xaxx-bxaf-dxxxxe2c26e3\"\r\n        \t},\r\n        \t\"createInstance\": false,\r\n        \t\"displayName\": \"Web \/ Mobile Client\",\r\n        \t\"enable\": true,\r\n        \t\"isAsync\": false,\r\n        \t\"type\": \"rtm\"\r\n    \t},\r\n\t\"type\":\"rtm\"\r\n}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<p>The response from the platform depends on the channel being enabled.<\/p>\n<p>Sample response for <strong>webhook channel<\/strong>:<\/p>\n<pre>{\r\n    \"displayName\": \"webhook\",\r\n    \"enable\": true,\r\n    \"isAsync\": false,\r\n    \"type\": \"ivr\",\r\n    \"url\": \"&lt;webhook-url&gt;\"\r\n}<\/pre>\n<p>Sample response for <strong>slack channel<\/strong>:<\/p>\n<pre>{\r\n    \"streamUserAccountId\": \"su-bxxxxfax-exba-xxeb-xxxc-xxxacxxxxxx\",\r\n    \"type\": \"slack\",\r\n    \"enable\": false,\r\n    \"verificationToken\": \"mxSxdWXcQxEFxrRPEdeoCC\"\r\n}<\/pre>\n<p>Sample response for <strong>msteams channel<\/strong>:<\/p>\n<pre>{\r\n    \"type\": \"msteams\",\r\n    \"enable\": false,\r\n    \"accountId\": \"su-bcf9xxxfc-dxxx-xxxc-xexa-bxxexxxxxxx\",\r\n    \"app_id\": \"xxebcfxf-xxxd-xxca-xxea-bxxxxxxaxxx\"\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"Used to initiate enable a channel for a bot. To use this API, app needs the Admin API Scope of Channel Management under ChannelManagement. POST https:\/\/{{host}}\/api\/public\/bot\/channels Query Parameters Parameter Required\/ Optional Description host Required Environment URL, for example, https:\/\/bots.kore.ai Body Parameters Parameter Required\/ Optional Description BotId Required Bot ID - You can access it from...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[25],"tags":[],"class_list":["post-26458","post","type-post","status-publish","format-standard","hentry","category-channel-enablement"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/26458","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/comments?post=26458"}],"version-history":[{"count":11,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/26458\/revisions"}],"predecessor-version":[{"id":26595,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/26458\/revisions\/26595"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/media?parent=26458"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/categories?post=26458"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/tags?post=26458"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}